Update target
API update target file for specified job
Job file can be provided directly in the message body.
Please supply jobs in Memsource header.
For file in the request body provide also the filename in Content-Disposition header.
Accepted metadata:
jobs- required - list of jobs UID reference (maximum size1)propagateConfirmedToTm- sets if confirmed segments should be stored in TM (default value: true)callbackUrl- consumer callbacktargetSegmentationRule- ID reference to segmentation rule of organization to use for update targetunconfirmChangedSegments- sets if segments should stay unconfirmed
Job restrictions:
- job must belong to project specified in path (
projectUid) - job cannot be split
- job cannot be continuous
- job cannot originate in a connector
- job cannot have different file extension than original file
File restrictions:
- file cannot be a
.zipfile - update target is not allowed for jobs with file extensions: po, tbx, tmx, ttx, ts
- update target for multilingual jobs works only with following file extensions: xliff, xlsx, csv
Example:
{
"jobs": [
{
"uid": "jobUid"
}
],
"propagateConfirmedToTm": true,
"targetSegmentationRule": {
"id": "1"
},
"callbackUrl": "https://my-shiny-service.com/consumeCallback"
}
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Headers
Update target metadata JSON (see endpoint description)
must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)
Path Parameters
Project UID
Body
Target file binary
The body is of type object.